Package org.apache.felix.framework

# Class BundleWiringImpl.BundleClassLoader

java.lang.Object
java.lang.ClassLoader
java.security.SecureClassLoader
org.apache.felix.framework.BundleWiringImpl.BundleClassLoader

All Implemented Interfaces:
  `BundleReference`

Direct Known Subclasses:
  `BundleWiringImpl.BundleClassLoaderJava5`

Enclosing class:
  `BundleWiringImpl`

public static class BundleWiringImpl.BundleClassLoader extends SecureClassLoader implements BundleReference

## Constructor Summary

Constructors
Constructor
Description
`BundleClassLoader(BundleWiringImpl wiring, ClassLoader parent, Logger logger)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`callWovenClassListeners(Felix felix, Set<ServiceReference<WovenClassListener>> wovenClassListeners, WovenClass wovenClass)`
`protected Class`
`findClass(String name)`
`protected String`
`findLibrary(String name)`
`protected URL`
`findResource(String name)`
`protected Enumeration`
`findResources(String name)`
`Bundle`
`getBundle()`
Returns the `Bundle` object associated with this `BundleReference`.
`URL`
`getResource(String name)`
`boolean`
`isActivationTriggered()`
`protected boolean`
`isParallel()`
`protected Class`
`loadClass(String name, boolean resolve)`
`String`
`toString()`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass, getPermissions`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLoadedClass, findResource, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BundleClassLoader

public BundleClassLoader(BundleWiringImpl wiring, ClassLoader parent, Logger logger)

## Method Details

### isParallel

protected boolean isParallel()

### isActivationTriggered

public boolean isActivationTriggered()

### getBundle

public Bundle getBundle()
Description copied from interface: `BundleReference`
Returns the `Bundle` object associated with this `BundleReference`.

Specified by:
  `getBundle` in interface `BundleReference`
Returns:
  The `Bundle` object associated with this `BundleReference`.

### loadClass

protected Class loadClass(String name, boolean resolve) throws ClassNotFoundException

Overrides:
  `loadClass` in class `ClassLoader`
Throws:
  `ClassNotFoundException`

### findClass

protected Class findClass(String name) throws ClassNotFoundException

Overrides:
  `findClass` in class `ClassLoader`
Throws:
  `ClassNotFoundException`

### callWovenClassListeners

protected void callWovenClassListeners(Felix felix, Set<ServiceReference<WovenClassListener>> wovenClassListeners, WovenClass wovenClass)

### getResource

public URL getResource(String name)

Overrides:
  `getResource` in class `ClassLoader`

### findResource

protected URL findResource(String name)

Overrides:
  `findResource` in class `ClassLoader`

### findResources

protected Enumeration findResources(String name)

Overrides:
  `findResources` in class `ClassLoader`

### findLibrary

protected String findLibrary(String name)

Overrides:
  `findLibrary` in class `ClassLoader`

### toString

public String toString()

Overrides:
  `toString` in class `Object`